import { JavaObject } from '../../../java/lang/JavaObject';
export declare class BenutzerListeEintrag extends JavaObject {
    id: number;
    typ: number;
    typID: number;
    anzeigename: String;
    name: String;
    istAdmin: boolean;
    idCredentials: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): BenutzerListeEintrag;
    static transpilerToJSON(obj: BenutzerListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<BenutzerListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_benutzer_BenutzerListeEintrag(obj: unknown): BenutzerListeEintrag;
